Call Me Back module
Endpoints
Endpoints for managing configuration for Call Me Back widgets, websites and buttons
GET
/callmeback/websites Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/websites HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3365,
"allowed_countries": "value",
"button_id": 8505,
"created_at": "2026-01-10 18:26:14",
"culture": 4,
"ddi": 959,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 7,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/settings Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/settings HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4762,
"allowed_countries": "value",
"button_id": 7943,
"created_at": "2019-11-17 04:04:05",
"culture": 1,
"ddi": 7154,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 4,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
POST
/callmeback/settings Creates new Call Me Back settings resource
Parameters
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
POST /v1.1/voipstudio/callmeback/settings HTTP/1.1
Host: l7api.com
{
"button_id": 748,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 462,
"max_call_rate": "100.00"
}
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 4188,
"allowed_countries": "value",
"button_id": 9523,
"created_at": "2023-10-08 12:15:09",
"culture": 1,
"ddi": 2949,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 7,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
GET
/callmeback/settings/{id} Returns Website resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/settings/13 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 360,
"allowed_countries": "value",
"button_id": 61,
"created_at": "2025-03-28 17:54:58",
"culture": 4,
"ddi": 3729,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 6,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/settings/{id} Updates existing CallMeBackSetting resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
PATCH /v1.1/voipstudio/callmeback/settings/58 HTTP/1.1
Host: l7api.com
{
"button_id": 985,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 170,
"max_call_rate": "100.00"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2375,
"allowed_countries": "value",
"button_id": 9130,
"created_at": "2016-07-07 02:13:58",
"culture": 2,
"ddi": 1619,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/settings/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/settings/20 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
GET
/callmeback/cdrs Returns collection of Cdr resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6150,
"allowed_countries": "value",
"button_id": 6648,
"created_at": "2019-01-14 11:07:18",
"culture": 4,
"ddi": 167,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 0,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/visitors Returns collection of Visitor resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/visitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1081,
"allowed_countries": "value",
"button_id": 2449,
"created_at": "2022-09-13 14:26:34",
"culture": 0,
"ddi": 9093,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 0,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/buttons/{id} Returns CallMeBackButton resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/buttons/69 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1557,
"allowed_countries": "value",
"button_id": 1373,
"created_at": "2025-03-15 16:40:49",
"culture": 4,
"ddi": 4544,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/buttons/{id} Creates new Call Me Button resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
name string
data_online string
data_offline string
Example Request
PATCH /v1.1/voipstudio/callmeback/buttons/40 HTTP/1.1
Host: l7api.com
{
"name": "abcd",
"data_online": "abcd",
"data_offline": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7845,
"allowed_countries": "value",
"button_id": 8824,
"created_at": "2022-08-16 00:18:56",
"culture": 0,
"ddi": 1560,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 4,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/buttons/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/buttons/5 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
POST
/callmeback/buttons Creates new CallMeBackButton resource
Parameters
Example Request
POST /v1.1/voipstudio/callmeback/buttons HTTP/1.1 Host: l7api.com
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 2816,
"allowed_countries": "value",
"button_id": 1712,
"created_at": "2017-03-01 00:29:44",
"culture": 0,
"ddi": 6375,
"floating_icon": true,
"max_call_rate": "value",
"name": "value",
"position": 1,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}